Senhas mestras
Listar senhas mestras
List master passwords under the path account.
GET
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
Listar senhas mestras
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parâmetros de caminho
Resposta
Senhas mestras nesta página
Hide child attributes
Hide child attributes
Data e hora de criação da senha mestra
UUID da senha mestra
Nome de exibição da senha mestra
UUID do recurso para o escopo da senha mestra
Tipo de escopo de recurso onde a senha mestra se aplica
Opções disponíveis:
account, workspace, domain Data e hora da última atualização da senha mestra
Número de página baseado em um atual
Máximo de itens por página
Total de senhas mestras correspondentes
Esta página foi útil?
⌘I
Listar senhas mestras
